> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.arb.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Download docket entry PDF

> Generates a signed URL to download the PDF file for a specific docket entry. The URL is valid for a limited time.



## OpenAPI

````yaml api-reference/cases.yaml post /docket/entries/pdf
openapi: 3.0.3
info:
  title: cases
  description: >-
    The Cases Service is the main place where all case info lives, including who
    is involved and what files are attached. It lets you create new cases, view
    existing ones, upload documents or files, and manage service of notice
    delivery through multiple channels (mail, email, or manual attestation),
    while notifying other parts of the system when anything changes.
  version: 1.0.0
servers:
  - url: https://cases.platform.arb.inc
security: []
tags:
  - name: /
  - name: cases
  - name: docket
  - name: evidence
  - name: filings
  - name: internal
  - name: invites
  - name: participants
  - name: schemas
  - name: service-of-notice
  - name: tasks
  - name: timetables
paths:
  /docket/entries/pdf:
    post:
      tags:
        - docket
      summary: Download docket entry PDF
      description: >-
        Generates a signed URL to download the PDF file for a specific docket
        entry. The URL is valid for a limited time.
      operationId: getDocketEntryPDF
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - caseID
                - entryID
              properties:
                caseID:
                  type: string
                  description: Unique identifier of the case
                  example: 2025-08-00292
                entryID:
                  type: string
                  description: Unique identifier of the docket entry
                  example: '1'
      responses:
        '200':
          description: Successfully generated PDF download URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                    example: >-
                      https://storage.googleapis.com/secure-storage.arb.inc/cases/2025-08-00292/docket/1.pdf?X-Goog-Signature=...
                  validForSeconds:
                    type: integer
                    example: 3600
        '404':
          description: Docket entry not found
        '410':
          description: Case not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: access token
      scheme: bearer
      bearerFormat: JWT

````